List notes/activities: calls, meeting notes, custom notes. Filter by record, type, author, search. Excludes system-generated activities.
curl --request POST \
--url https://api.supersonic.cv/notes/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record_id": "<string>",
"author_id": "<string>",
"mine": true,
"search": "<string>",
"since": "<string>",
"until": "<string>",
"page": 123,
"per_page": 123
}
'import requests
url = "https://api.supersonic.cv/notes/list"
payload = {
"record_id": "<string>",
"author_id": "<string>",
"mine": True,
"search": "<string>",
"since": "<string>",
"until": "<string>",
"page": 123,
"per_page": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
record_id: '<string>',
author_id: '<string>',
mine: true,
search: '<string>',
since: '<string>',
until: '<string>',
page: 123,
per_page: 123
})
};
fetch('https://api.supersonic.cv/notes/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Notes
notes.list
POST
/
notes
/
list
List notes/activities: calls, meeting notes, custom notes. Filter by record, type, author, search. Excludes system-generated activities.
Authorizations
API key: supersonic_live_...
Body
application/json
Filter by linked record UUID
Available options:
note, call, meeting, email, custom Filter by author member UUID
Show only my notes
Search in title and description
ISO datetime — notes after this time
ISO datetime — notes before this time
Response
Success
The response is of type object.
⌘I